/*
 *  File:       abyss.h
 *  Summary:    Misc abyss specific functions.
 *  Written by: Linley Henzell
 *
 *  Modified for Crawl Reference by $Author: haranp $ on $Date: 2009-02-04 00:14:48 +0100 (Mi, 04 Feb 2009) $
 */


#ifndef ABYSS_H
#define ABYSS_H

void generate_abyss();
void area_shift();
void abyss_teleport(bool new_area);
void save_abyss_uniques();
bool lugonu_corrupt_level(int power);
void run_corruption_effects(int duration);

#endif
